import type { Actions, SourceNodesArgs } from "gatsby";
import type { IContentfulAsset } from "./types/contentful";
/**
 * @name downloadContentfulAssets
 * @description Downloads Contentful assets to the local filesystem.
 * The asset files will be downloaded and cached. Use `localFile` to link to them
 * @param gatsbyFunctions - Gatsby's internal helper functions
 */
export declare function downloadContentfulAssets(gatsbyFunctions: SourceNodesArgs, actions: Actions, assetNodes: Array<IContentfulAsset>, assetDownloadWorkers: number): Promise<void>;
