import type { IPluginOptions, IProcessedPluginOptions } from "./types/plugin";
declare const defaultOptions: Omit<IPluginOptions, "spaceId" | "accessToken">;
/**
 * Mask majority of input to not leak any secrets
 * @param {string} input
 * @returns {string} masked text
 */
declare const maskText: (input: string) => string;
declare const createPluginConfig: (pluginOptions: Partial<IPluginOptions>) => IProcessedPluginOptions;
declare const formatPluginOptionsForCLI: (pluginOptions: IPluginOptions, errors?: {}) => string;
export { defaultOptions, formatPluginOptionsForCLI, maskText, createPluginConfig, };
